scripts = ["search", "list", "remove"]

aliases = { "s"=>"search", "g"=>"get", "ls"=>"list", "rm"=>"remove", "h"=>"help" }
if command = aliases[ARGV[0]]
  ARGV[0] = command
end

if ARGV[0] == "get"
  ARGV[0], ARGV[1] = "search", "-naq"
elsif ARGV[0] == "help" && ARGV[1]
  if command = aliases[ARGV[1]]
    ARGV[1] = command
  end
  if scripts.include? ARGV[1]
    ARGV[0], ARGV[1] = ARGV[1], "--help"
  else
    warn "Error: No such command \"#{ARGV[1]}\"."
    exit 1
  end
end

script = ARGV[0]
if scripts.include? script
  require "nyaa_anime/#{script}"
else
  warn "Error: No such command \"#{ARGV[0]}\"."
  puts "Usage: nyaa <command> [<args>]\n" <<
       "       nyaa_anime <command> [<args>]\n\n" <<
       "       If you like this tool, please donate via PayPal\n" <<
       "       to wujoshuawu@gmail.com to keep the developer afloat.\n\n" <<
       "Commands:\n" <<
       "       search  s    Search for and download anime\n" <<
       "       get     g    Equivalent to `nyaa search -naq`\n" <<
       "       list    ls   List downloaded torrent files\n" <<
       "       remove  rm   Delete downloaded torrent files from a\n" <<
       "                    distribution of an anime series\n" <<
       "       help    h    Get help about a command\n" <<
       "                    (`nyaa help <command>`)\n"
end
