require 'optparse'

options = {}
option_parser = OptionParser.new do |opts|
  opts.banner = "Usage: nyaa list [-a]\n" <<
                "       nyaa ls [-a]\n\n" <<
                "       If you like this tool, please donate via PayPal\n" <<
                "       to wujoshuawu@gmail.com to keep the developer afloat.\n\n"

  opts.on("-a", "--all", "List all individual files") do
    options[:list_all] = true
  end
end
begin
  option_parser.parse!
rescue OptionParser::InvalidOption => e
  warn e
  puts option_parser
  exit 1
end

require 'nyaa_anime'

de_ds = NyaaAnime.downloaded_entries_by_distro
de_ds.each_with_index do |distro_entries, idx|
  distro, entries = distro_entries
  puts "#{idx+1}: #{distro}"
  if options[:list_all]
    entries.each { |entry| puts "    #{e.title}" }
  end
end
